Leases
Leases are a fundamental part of the Okinus platform — they represent the financing agreements between customers and merchants. On this page, we'll dive into the different lease endpoints you can use to manage leases programmatically. We'll look at how to query, create, update, and manage lease contracts.
Endpoints
POST/leases
POST
/leasesCreate a lease
Create a lease
Request Body
Lease object that needs to be added
Schema: Lease Entity
Request
POST
/leases{
"application_id": "application_id",
"include_warranty": true,
"option": "option",
"deliveryCharge": 123,
"additionalDown": 123,
"storeWillCollect": 123,
"proposed_down_payment": 123,
"esign_type": "esign_type",
"esign_return_url": "esign_return_url",
"paymentFrequency": "frequency",
"primary_language": "primary_language",
"discard_esign": true,
"create_esign": true,
"ocp_included": true,
"items": [
{
"sku": "sku",
"quantity": 123,
"unit_price": 123,
"description": "description"
}
],
"sales_person": {
"name": "full_name",
"email": "email",
"phone": "phone"
}
}Schemas
Lease Entity
Create a lease for the given Application ID. This will return lease calculations and an esign url if embedded is requested.
Properties
- Name
application_id- Type
- string
- Description
- Application ID of approved application
- Name
include_warranty- Type
- boolean
- Description
- Include the HVAC labor warranty. Not applicable to non HVAC leases
- Name
option- Type
- string
- Description
- Option
- Name
deliveryCharge- Type
- number
- Description
- Delivery Charge
- Name
additionalDown- Type
- number
- Description
- Additional down payment. This amount cannot be less than the store will collect.
- Name
storeWillCollect- Type
- number
- Description
- The amount which the store will collect. This amount cannot exceed the overage and/or the extra down payment.
- Name
proposed_down_payment- Type
- number
- Description
- Proposed Down Payment
- Name
esign_type- Type
- string
- Description
- Esign Type
- Name
esign_return_url- Type
- string
- Description
- Esign Return Url
- Name
paymentFrequency- Type
- string
- Description
- Payment frequency
- Name
primary_language- Type
- string
- Description
- Primary Language of contract
- Name
discard_esign- Type
- boolean
- Description
- Discard previously created Esign for the application ID given
- Name
create_esign- Type
- boolean
- Description
- Force the system to not create an esign document
- Name
ocp_included- Type
- boolean
- Description
- Indicate if the customer is opting into the Okinus Care Plus program
- Name
items- Type
- array[Item]
- Description
- Array of product itemsLease item
- Name
sales_person- Type
- Person
- Description
- Person details
